// pages/change/change.js
const app = getApp()
const $api = require('../../utils/api.js').API;
Page({

    /**
     * 页面的初始数据
     */
    data: {
        today_stock_img:[]
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {

    },
    uploadImg() {
        var today_stock_img = this.data.today_stock_img;
        wx.chooseImage({
          success: res => {
            wx.showLoading({
              title: '正在上传',
            })
            const tempFilePaths = res.tempFiles
            for (let i = 0; i < tempFilePaths.length; i++) {
              $api.upload(tempFilePaths[i].path, 'file').then(res => {
                wx.hideLoading()
                if (res.code == 0) {
                  today_stock_img.push(res.data.url)
                  this.setData({
                    today_stock_img: today_stock_img
                  })
                } else {
                  wx.showToast({
                    title: '上传失败',
                  })
                }
              })
                .catch(err => {
                  wx.hideLoading()
                })
            }
    
          }
        })
      },
      del(e) {
        var i = e.target.dataset.id;
        var today_stock_img = this.data.today_stock_img;
        today_stock_img.splice(i, 1)
        this.setData({
          today_stock_img: today_stock_img
        })
      },
      prview(e){
        var src = e.target.dataset.src;
        wx.previewImage({
          current: src, // 当前显示图片的http链接
          urls: [src] // 需要预览的图片http链接列表
        })
      },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})